using Godot;

namespace Game;

[SceneTree]
public partial class Main : Node2D
{
    public GameState GameState { get; set; } = new();

    public override void _Ready()
    {
        ExecuteButton.Pressed += () => DaySchedule.StartDay();

        EventBus.CompanyChanged?.Invoke(GameState.Company.ToCompanyStats());
        EventBus.CeoChanged?.Invoke(GameState.Ceo.ToCeoStats());
    }
}
